# Try it on Google Colab

Use these notebooks to train driving policies on `highway-env`.

## A Model-based Reinforcement Learning tutorial on Parking  [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/eleurent/highway-env/blob/master/scripts/parking_model_based.ipynb)

A tutorial written for [RLSS 2019](https://rlss.inria.fr/) and demonstrating the principle of model-based reinforcement learning on the `parking-v0` task.

## Trajectory Planning on Highway [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/eleurent/highway-env/blob/master/scripts/highway_planning.ipynb)

Plan a trajectory on `highway-v0` using the [OPD](https://hal.archives-ouvertes.fr/hal-00830182/) implementation from [rl-agents](https://github.com/eleurent/rl-agents).

## Parking with Hindsight Experience Replay [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/eleurent/highway-env/blob/master/scripts/parking_her.ipynb)

Train a goal-conditioned `parking-v0` policy using the [HER](https://arxiv.org/abs/1707.01495) implementation from [stable-baselines](https://github.com/hill-a/stable-baselines).

## Intersection with DQN and social attention [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/eleurent/highway-env/blob/master/scripts/intersection_social_dqn.ipynb)

Train an `intersection-v0` crossing policy using the [social attention](https://arxiv.org/abs/1911.12250) architecture and the DQN implementation from [rl-agents](https://github.com/eleurent/rl-agents).
